19980429/mozilla/lib/mariner/src/xpform.c keyword change

VERIFIED FIXED

Status

P4
trivial
VERIFIED FIXED
21 years ago
16 years ago

People

(Reporter: berkley, Assigned: toshok)

Tracking

1998-04-08
DEC
All

Details

(Reporter)

Description

21 years ago
Created by Berkley Shands (berkley@cs.wustl.edu) on Wednesday, May 6, 1998 10:01:41 AM PDT
Additional Details :
with the change of "readonly" to readonly2" this file
needs a quick update.

cc: Error: xpform.c, line 192: Identifier expected but not
found.
          return form->ele_text.readonly;
--------------------------------^
cc: Error: xpform.c, line 194: Identifier expected but not
found.
          return form->ele_textarea.readonly;
------------------------------------^
make: *** [OSF1V4.0_DBG.OBJ/xpform.o] Error 1

	case FORM_TYPE_READONLY:
	  return form->ele_text.readonly2;
	case FORM_TYPE_TEXTAREA:
	  return form->ele_textarea.readonly2;
	default:

berkley

Updated by   (toshok@netscape.com) on Monday, May 18, 1998 11:14:02 AM PDT
Additional Details :
oh my.  is this a reserved word on dec's compiler?

ok, i'll change it.
Updated by   (toshok@netscape.com) on Monday, May 18, 1998 2:56:51 PM PDT
Additional Details :
ok, as soon as my build finishes I'll be checking in a fix for this.  instead of
readonly2, I've named it read_only.
mid-air collision ? / bugzilla cleanup
Reopening (current State: resolved and no resolution)
Status: RESOLVED → REOPENED
marking fixed
Status: REOPENED → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → FIXED

Comment 3

16 years ago
VERIFIED due to no changes in over a year
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.